Subject: bug#44950: 28.0.50; 24-bit colors not used in terminal with emacsclient

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Jun 2021 12:36:39 +0200

Tim Ruffing <[email-masked]> writes:

> So the terminfo detection is currently more reliable. Would you be
> willing to accept something like the attached patch? This will improve
> detection without relying on COLORTERM, which should make the situation
> already much better. Tc is in the terminfo of many terminals, see
> https://gist.github.com/XVilka/8346728 .
>
> If yes, I can send an improved patch (with added explanations to
> doc/misc/efaq.texi).

This does seem better than the current kludge, so I think we should go
ahead and apply it and see whether anybody complains.

So an updated patch (with efaq.texi amendments) would be welcome.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no